Bug 1862404 - MutatingWebhookConfiguration should be v1, not v1beta1
Summary: MutatingWebhookConfiguration should be v1, not v1beta1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.5.z
Assignee: Sergiusz Urbaniak
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1859956
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-31 11:08 UTC by Frederic Branczyk
Modified: 2020-09-08 10:54 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1859956
Environment:
Last Closed: 2020-09-08 10:54:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift kube-state-metrics pull 31 None closed Bug 1862404: Bump to v1.9.7 2020-09-08 01:27:14 UTC
Red Hat Product Errata RHBA-2020:3510 None None None 2020-09-08 10:54:35 UTC

Comment 1 Frederic Branczyk 2020-07-31 11:18:09 UTC
Waiting on depending bug to be verified.

Comment 4 Junqi Zhao 2020-08-20 08:38:21 UTC
tested with 4.5.0-0.nightly-2020-08-20-031121, issue is fixed, kube-state-metrics version is v1.9.7
# /usr/bin/kube-state-metrics --version
version.Version{GitCommit:"743b1e7", BuildDate:"2020-08-19T11:27:11Z", Release:"v1.9.7", GoVersion:"go1.13.4", Compiler:"gc", Platform:"linux/amd64"}

for the Failed to watch errors, it's tracked in bug 1865742
# oc -n openshift-monitoring logs kube-state-metrics-8776c68d4-strw4 -c kube-state-metrics
I0820 07:03:00.386920       1 main.go:86] Using default collectors
I0820 07:03:00.387051       1 main.go:98] Using all namespace
I0820 07:03:00.387076       1 main.go:139] metric white-blacklisting: blacklisting the following items: kube_secret_labels
W0820 07:03:00.387100       1 client_config.go:543] Neither --kubeconfig nor --master was specified.  Using the inClusterConfig.  This might not work.
I0820 07:03:00.396331       1 main.go:186] Testing communication with server
I0820 07:03:00.413070       1 main.go:191] Running with Kubernetes cluster version: v1.18+. git version: v1.18.3+1202f2e. git tree state: clean. commit: 1202f2e. platform: linux/amd64
I0820 07:03:00.413112       1 main.go:193] Communication with server successful
I0820 07:03:00.413274       1 main.go:227] Starting metrics server: 127.0.0.1:8081
I0820 07:03:00.413719       1 metrics_handler.go:96] Autosharding disabled
I0820 07:03:00.414397       1 builder.go:156] Active collectors: certificatesigningrequests,configmaps,cronjobs,daemonsets,deployments,endpoints,horizontalpodautoscalers,ingresses,jobs,limitranges,mutatingwebhookconfigurations,namespaces,networkpolicies,nodes,persistentvolumeclaims,persistentvolumes,poddisruptionbudgets,pods,replicasets,replicationcontrollers,resourcequotas,secrets,services,statefulsets,storageclasses,validatingwebhookconfigurations,volumeattachments
I0820 07:03:00.414924       1 main.go:202] Starting kube-state-metrics self metrics server: 127.0.0.1:8082
E0820 07:10:11.444101       1 reflector.go:307] k8s.io/kube-state-metrics/internal/store/builder.go:346: Failed to watch *v1beta1.Ingress: unknown (get ingresses.extensions)
E0820 07:19:34.460548       1 reflector.go:307] k8s.io/kube-state-metrics/internal/store/builder.go:346: Failed to watch *v1.DaemonSet: unknown (get daemonsets.apps)
E0820 07:59:31.284472       1 reflector.go:307] k8s.io/kube-state-metrics/internal/store/builder.go:346: Failed to watch *v1.ConfigMap: unknown (get configmaps)
[root@preserve-juzhao-rhrhel-1 ~]# oc explain MutatingWebhookConfiguration

Comment 6 errata-xmlrpc 2020-09-08 10:54:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.8 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3510


Note You need to log in before you can comment on or make changes to this bug.